package middleware

import (
	"drive-linked/pkg/common"
	"github.com/kataras/iris/v12"
)

func SignRequired(ctx iris.Context) {
	auth := ctx.GetHeader("Authorization")
	//TODO:更详细的判断，包括请求格式是否正确
	err := common.ValidateLogin(auth)
	if err == nil {
		ctx.Values().Set("logged_in", true)
	}
	ctx.Next()
}
